# input

### `isKeyBindForwardDown(): Boolean`

Returns whether the Forward movement key (defaults to W) is down.

### `isKeyBindBackDown(): Boolean`

Returns whether the Back movement key (defaults to S) is down.

### `isKeyBindLeftDown(): Boolean`

Returns whether the Left movement key (defaults to A) is down.

### `isKeyBindRightDown(): Boolean`

Returns whether the Right movement key (defaults to D) is down.

### `isKeyBindJumpDown(): Boolean`

Returns whether the Jump movement key (defaults to Space) is down.

### `isKeyBindSneakDown(): Boolean`

Returns whether the Sneak movement key (defaults to Shift) is down.

### `isKeyBindAttackDown(): Boolean`

Returns whether the Attack key (defaults to LMB) is down.

### `isKeyBindUseItemDown(): Boolean`

Returns whether the Use Item key (defaults to RMB) is down.

### `isKeyBindDropDown(): Boolean`

Returns whether the Drop key (defaults to Q) is down.

### `isKeyBindInventoryDown(): Boolean`

Returns whether the Inventory key (defaults to E) is down.

### `isKeyBindChatDown(): Boolean`

Returns whether the Chat key (defaults to T) is down.

### `isKeyBindPlayerListDown(): Boolean`

Returns whether the Player list key (defaults to TAB) is down.

### `isKeyBindCommandDown(): Boolean`

Returns whether the Command key (defaults to '/') is down.

### `isKeyBindScreenshotDown(): Boolean`

Returns whether the Screenshot key (defaults to F2) is down.

### `isKeyBindTogglePerspectiveDown(): Boolean`

Returns whether the Toggle Perspective (more known as the Third Person) key (defaults to F5) is down.

### `isKeyBindFullscreenDown(): Boolean`

Returns whether the Full Screen key (defaults to F11) is down.

### `isKeyBindSpectatorOutlinesDown(): Boolean`

Returns whether the Spectatour Outlines key is down.

### `isKeyDown(key): Boolean`

| Argument | Type     | Description            |
| -------- | -------- | ---------------------- |
| `key`    | `Number` | The LWJGL ID of a key. |

Returns whether the specified key is down. To get the ID of a key, [refer to this table](https://gist.github.com/Mumfrey/5cfc3b7e14fef91b6fa56470dc05218a).

### `isButtonDown(button): Boolean`

| Argument | Type     | Description               |
| -------- | -------- | ------------------------- |
| `button` | `Number` | The LWJGL ID of a button. |

Returns whether the specified mouse button is down.

### `isMouseDown(button): Boolean`

| Argument | Type     | Description       |
| -------- | -------- | ----------------- |
| `button` | `Number` | Mouse button int. |

Returns whether the specified mouse button is down.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
